package java112.analyzer;

/**
 * An Analyzer is a routine for analyzing text tokens and writing
 * a report to file.
 * @author Brian Manning
 */
public interface Analyzer {

    /**
     * Processes text tokens for analysis.
     * @param token String - A single text token for processing.
     */
    void processToken(String token);

    /**
     * Writes a report to file with analysis of all processed tokens.
     * @param inputFilePath String - Path of file to be analyzed.
     */
    void writeOutputFile(String inputFilePath);
}

