package java112.employee;

import java.util.*;

/**
 *  This is a JavaBean that stores search parameters
 *
 * @author Brian Manning
 */
public class Search extends java.lang.Object {

    private String searchType;
    private String searchTerm;
    private List<Employee> results;
    private boolean employeesFound;

    /**
     * constructor for Search
     */
    public Search() {
        results = new ArrayList<Employee>();
        employeesFound = false;
    }

    /**
     * Adds an employee object to the results list.
     * @param Employee employee - an employee object
     */
    public void addFoundEmployee(Employee employee) {
        results.add(employee);
    }

    /**
     * Returns the value of searchType.
     */
    public String getSearchType() {
        return searchType;
    }

    /**
     * Sets the value of searchType.
     * @param searchType The value to assign searchType.
     */
    public void setSearchType(String searchType) {
        this.searchType = searchType;
    }

    /**
     * Returns the value of searchTerm.
     */
    public String getSearchTerm() {
        return searchTerm;
    }

    /**
     * Sets the value of searchTerm.
     * @param searchTerm The value to assign searchTerm.
     */
    public void setSearchTerm(String searchTerm) {
        this.searchTerm = searchTerm;
    }

    /**
     * Returns the value of results.
     */
    public List<Employee> getResults() {
        return results;
    }

    /**
     * Sets the value of results.
     * @param results The value to assign results.
     */
    public void setResults(List<Employee> results) {
        this.results = results;
    }

    /**
     * Returns the value of employeesFound.
     */
    public boolean getEmployeesFound() {
        return employeesFound;
    }

    /**
     * Sets the value of employeesFound.
     * @param employeesFound The value to assign employeesFound.
     */
    public void setEmployeesFound(boolean employeesFound) {
        this.employeesFound = employeesFound;
    }
}
