package java112.labs1;

import java.io.*;
import java.util.*;
/**
 * Lab8 Demonstrates Set and TreeSet.
 * @author Brian Manning
 */
public class LabEight {

    private Set<String> stringSet;

    public static void main(String[] arguments) {
        if (arguments.length != 1) {
            System.out.println("Please enter one argument on the command line, an output file name");
            return;
        }
        LabEight test = new LabEight();
        test.run(arguments[0]);
    }
    //“one”, “one”, “five”, “two”, “four”, “two”, “three”, “three”, “four”, “three”.
    public void run(String outputFilePath) {
        stringSet = new TreeSet<String>();
        stringSet.add("one");
        stringSet.add("one");
        stringSet.add("five");
        stringSet.add("two");
        stringSet.add("four");
        stringSet.add("two");
        stringSet.add("three");
        stringSet.add("three");
        stringSet.add("four");
        stringSet.add("three");
        writeSetToOutputFile(outputFilePath);
    }

    private void writeSetToOutputFile(String outputFilePath) {
        PrintWriter outputFile = null;

        try {
            outputFile = new PrintWriter(
                    new BufferedWriter(new FileWriter(outputFilePath)));
            for (String setItem : stringSet) {
                outputFile.println(setItem);
            }
        } catch (java.io.FileNotFoundException exception) {
            exception.printStackTrace();
        } catch (java.io.IOException exception) {
            exception.printStackTrace();
        } catch (Exception exception) {
            exception.printStackTrace();
        } finally {
            if (outputFile != null) {
                outputFile.close();
            }
        }
    }
}
