package java112.labs1;

import java.io.*;
/**
 * Lab5 Demonstrates exception handling and file output.
 * @author Brian Manning
 */
public class LabFive {
    public static void main(String[] arguments) {
        if (arguments.length != 2) {
            System.out.println("Please enter two arguments on the command " + "line, a file name and a message");
            return;
        }
        LabFive test = new LabFive();
        test.run(arguments[0], arguments[1]);
    }

    public void run(String outputFilePath, String message) {
        PrintWriter outputFile = null;

        try {
            outputFile = new PrintWriter( new BufferedWriter(new FileWriter(outputFilePath)));
            outputFile.println(message);
        } catch (java.io.FileNotFoundException exception) {
            exception.printStackTrace();
        } catch (java.io.IOException exception) {
            exception.printStackTrace();
        } catch (Exception exception) {
            exception.printStackTrace();
        } finally {
            if (outputFile != null) {
                outputFile.close();
            }
        }
    }
}
