package java112.labs1;

import java.io.*;
/**
 * Lab4 Demonstrates exception handling and file input.
 * @author Brian Manning
 */
public class LabFour {
    public static void main(String[] arguments) {
        LabFour test = new LabFour();
        if (arguments.length != 1) {
            System.out.println("Please enter one argument on the command line");
            return;
        }
        test.run(arguments[0]);
    }


    public void run(String inputFilePath) {
        BufferedReader inputFile = null;
        try {
            inputFile = new BufferedReader(new FileReader(inputFilePath));
            while (inputFile.ready()) {
                System.out.println(inputFile.readLine());
            }
        } catch (java.io.FileNotFoundException exception) {
            exception.printStackTrace();
        } catch (Exception exception) {
            exception.printStackTrace();
        } finally {
            try {
                if (inputFile != null) {
                    inputFile.close();
                }
            } catch (java.io.IOException exception) {
                exception.printStackTrace();
            } catch (Exception exception) {
                exception.printStackTrace();
            }
        }
    }
}
