package java112.labs1;

import java.io.*;
import java.util.*;
/**
 * Lab7 Demonstrates List and ArrayList.
 * @author Brian Manning
 */
public class LabSeven {

    private List<String> stringList;

    public static void main(String[] arguments) {
        if (arguments.length != 1) {
            System.out.println("Please enter one argument on the command " + "line, an output file name");
            return;
        }
        LabSeven test = new LabSeven();
        test.run(arguments[0]);
    }

    public void run(String outputFilePath) {
        stringList = new ArrayList<String>();
        stringList.add("one");
        stringList.add("two");
        stringList.add("three");
        stringList.add("four");
        stringList.add("five");
        stringList.add("six");
        stringList.add("seven");
        stringList.add("eight");
        stringList.add("nine");
        stringList.add("ten");
        writeListToOutputFile(outputFilePath);
    }

    private void writeListToOutputFile(String outputFilePath) {
        PrintWriter outputFile = null;

        try {
            outputFile = new PrintWriter( new BufferedWriter(new FileWriter(outputFilePath)));
            for (String listItem : stringList) {
                outputFile.println(listItem);
            }
        } catch (java.io.FileNotFoundException exception) {
            exception.printStackTrace();
        } catch (java.io.IOException exception) {
            exception.printStackTrace();
        } catch (Exception exception) {
            exception.printStackTrace();
        } finally {
            if (outputFile != null) {
                outputFile.close();
            }
        }
    }
}
