package java112.labs1;

import java.io.*;
/**
 * Lab6 Demonstrates exception handling and file input & output.
 * @author Brian Manning
 */
public class LabSix {
    public static void main(String[] arguments) {
        if (arguments.length != 2) {
            System.out.println("Please enter two arguments on the command " + "line, an input file name and an output file name");
            return;
        }
        LabSix test = new LabSix();
        test.run(arguments[0], arguments[1]);
    }

    public void run(String inputFilePath, String outputFilePath) {
        BufferedReader inputFile = null;
        PrintWriter outputFile = null;

        try {
            inputFile = new BufferedReader(new FileReader(inputFilePath));
            outputFile = new PrintWriter( new BufferedWriter(new FileWriter(outputFilePath)));

            while (inputFile.ready()) {
                outputFile.println(inputFile.readLine());
            }
        } catch (java.io.FileNotFoundException exception) {
            exception.printStackTrace();
        } catch (java.io.IOException exception) {
            exception.printStackTrace();
        } catch (Exception exception) {
            exception.printStackTrace();
        } finally {
            if (outputFile != null) {
                outputFile.close();
            }
            try {
                if (inputFile != null) {
                    inputFile.close();
                }
            } catch (java.io.IOException exception) {
                exception.printStackTrace();
            } catch (Exception exception) {
                exception.printStackTrace();
            }
        }
    }
}
