package java112.labs2;

import java.io.*;
import java.util.*;

/**
 * Lab3 demonstrates the Properties map collection.
 * @author Brian Manning
 */
public class LabThree {

    private Properties properties;
    private String propertiesFilePath;

    public static void main(String[] arguments) {
        if (arguments.length != 1) {
            System.out.println("Please enter one argument on the command line, a properties file name");
            return;
        }
        LabThree lab = new LabThree();
        lab.run(arguments[0]);
    }

    private void run(String commandLineArgument) {
        propertiesFilePath = commandLineArgument;
        loadProperties(propertiesFilePath);
        System.out.println(properties.getProperty("author"));
        System.out.println(properties.getProperty("email"));
    }

    public void loadProperties(String propertiesFilePath)  {
        properties = new Properties();
        try {
            properties.load(this.getClass().getResourceAsStream(propertiesFilePath));
        }
        catch(IOException ioe) {
            System.out.println("Can't load the properties file");
            ioe.printStackTrace();
        }
        catch(Exception e) {
            System.out.println("Problem: " + e);
            e.printStackTrace();
        }
    }
}
