package java112.project2;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.annotation.*;

@WebServlet(
    name = "First112Servlet",
    urlPatterns = { "/first" }
)
/**
 * First112Servlet displays the author name, course, and an image.
 * links to project home page.
 * @author Brian Manning
 */
public class First112Servlet extends HttpServlet {

    /**
     *  Handles HTTP GET requests.
     *
     *@param  request                   the HttpServletRequest object
     *@param  response                   the HttpServletResponse object
     *@exception  ServletException  if there is a Servlet failure
     *@exception  IOException       if there is an IO failure
     */
    public void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html");
        // set the response type before sending data
        PrintWriter  out  = response.getWriter();
        out.print("<HTML>");
        out.print("<HEAD><TITLE>Brian Manning - First112Servlet</TITLE></HEAD>");
        out.print("<BODY>");
        out.print("<h3>Brian Manning - Advanced Java, R 5:30-9:20</h3>");
        out.print("<p><img src='images/java_logo.gif' alt='Java Logo'></p>");
        out.print("<p><a href='/java112'>Home</a></p>");
        out.print("</BODY>");
        out.print("</HTML>");
        out.close();
    }

}

