package java112.project3;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.annotation.*;

@WebServlet(
    name = "requestServlet",
    urlPatterns = { "/request-servlet" }
)
/**
 * HttpRequestServlet stores values from the incoming http request to a bean
 * and forwards to a jsp pag for display.
 * TODO: comment
 * @author Brian Manning
 */
public class HttpRequestServlet extends HttpServlet {

    /**
     * Instantiates the HttpRequestData bean and assigns http request values to it.
     * Adds the bean to the request and forwards it to requestData.jsp for display.
     *@param  request                   the HttpServletRequest object
     *@param  response                   the HttpServletResponse object
     *@exception  ServletException  if there is a Servlet failure
     *@exception  IOException       if there is an IO failure
     */
    public void doGet(HttpServletRequest request, HttpServletResponse response)
                throws ServletException, IOException {
        HttpRequestData requestData = new HttpRequestData();
        requestData.setRemoteComputerName(request.getRemoteHost());
        requestData.setRemoteComputerAddress(request.getRemoteAddr());
        requestData.setRequestMethod(request.getMethod());
        requestData.setRequestURI(request.getRequestURI());
        requestData.setRequestURL(request.getRequestURL().toString());
        requestData.setRequestProtocol(request.getProtocol());
        requestData.setServerName(request.getServerName());
        requestData.setServerPort(Integer.toString(request.getServerPort()));
        requestData.setServerLocale(Locale.getDefault().toString());
        requestData.setQueryString(request.getQueryString());
        requestData.setQueryParameter(request.getParameter("queryParameter"));
        requestData.setUserAgent(request.getHeaders("User-Agent").toString());
        request.setAttribute("requestDataBean", requestData);
        String url = "/requestData.jsp";
        RequestDispatcher  dispatcher =
                getServletContext().getRequestDispatcher(url);
        dispatcher.forward(request, response);
    }

}
