package java112.project3;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.annotation.*;


@WebServlet(name = "Lab32Servlet", urlPatterns = { "/lab32Servlet" } )
/**
 * Lab32Servlet - This servlet displays some values from the HttpServletRequest
 * object.
 * @author Brian Manning
 */
public class Lab32Servlet extends HttpServlet {

    /**
     *  Handles HTTP GET requests.
     *
     *@param  request                   the HttpServletRequest object
     *@param  response                   the HttpServletResponse object
     *@exception  ServletException  if there is a Servlet failure
     *@exception  IOException       if there is an IO failure
     */
    public void doGet(HttpServletRequest request, HttpServletResponse response)
                throws ServletException, IOException {
        response.setContentType("text/html");
        // set the response type before sending data
        PrintWriter out = response.getWriter();

        out.print("<HTML>");
        out.print("<HEAD><TITLE>Brian Manning - Lab32Servlet</TITLE></HEAD>");
        out.print("<BODY>");

        out.print("<h1>Lab32Servlet</h1>");

        out.print("<ul>");

        out.print("<li>");
        out.print("Locale: " + request.getLocale());
        out.print("</li>");

        out.print("<li>");
        out.print("Context Path: " + request.getContextPath());
        out.print("</li>");

        out.print("<li>");
        out.print("Local Name: " + request.getLocalName());
        out.print("</li>");

        out.print("<li>");
        out.print("Scheme: " + request.getScheme());
        out.print("</li>");

        out.print("</ul>");

        out.print("<p><a href='/java112'>Home</a></p>");
        out.print("</BODY>");
        out.print("</HTML>");
        log("doGet complete");
        out.close();
    }

}
