package java112.project4;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.annotation.*;
import java112.employee.*;


@WebServlet(name = "applicationStartup", urlPatterns = { "/project4-startup" }, loadOnStartup = 1 )
/**
 * Reads values from a properties file and add them to the request.
 * Forwards request to a jsp page for display.
 * @author Brian Manning
 */
public class ApplicationStartup extends HttpServlet {
    private Properties properties;



    /**
     * Adds properties retrieved from file to the request and forwards to
     *  and forwards it to ApplicationStartup.jsp for display.
     *@param  request                   the HttpServletRequest object
     *@param  response                   the HttpServletResponse object
     *@exception  ServletException  if there is a Servlet failure
     *@exception  IOException       if there is an IO failure
     */
    public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

    }

    /**
     * Loads properties on servlet init and adds to servlet context
     * Insstantiates employee directory and adds to servlet context
     */
    public void init(ServletConfig config) throws ServletException {
        ServletContext context = config.getServletContext();
        loadProperties("/project4.properties");
        EmployeeDirectory employeeDirectory = new EmployeeDirectory(properties);
        context.setAttribute("project4Properties", properties);
        context.setAttribute("employeeDirectory", employeeDirectory);
    }

    /**
     * Loads the properties file
     * @param propertiesFilePath String - path to properties file
     */
    public void loadProperties(String propertiesFilePath) {
        properties = new Properties();
        try {
            properties.load(this.getClass().getResourceAsStream(propertiesFilePath));
        } catch (IOException ioe) {
            System.out.println("Can't load the properties file");
            ioe.printStackTrace();
        } catch (Exception e) {
            System.out.println("Problem: " + e);
            e.printStackTrace();
        }
    }

}
