package java112.project4;
  
import java.io.*;
import java.sql.*;
  
/**
 *
 *@author     Eric Knapp
 *
 */
public class JDBCSelectEmployees {
  
    public void runSample() {
  
        Connection connection = null;
        Statement statement = null;
        ResultSet resultSet = null;
  
        try {
            Class.forName("com.mysql.jdbc.Driver");
  
            connection = DriverManager.getConnection(
                    "jdbc:mysql://localhost/student", "student", "student");
  
            statement = connection.createStatement();
  
            String name = "Smith";
            String queryString = "SELECT employeeId, firstName, lastName"
                    + " FROM employees " + "WHERE lastName like '"
                    + name + "%'";
  
            System.out.println("queryString: " + queryString);
  
            resultSet = statement.executeQuery(queryString);
  
            System.out.println();
  
            while (resultSet.next()) {
                String employeeId = resultSet.getString("employeeId");
                String firstName = resultSet.getString("firstName");
                String lastName = resultSet.getString("lastName");
                System.out.println(" Row: " + employeeId + " "
                            + firstName + " " + lastName);
            }
  
            System.out.println();
  
            ResultSetMetaData resultSetMetaData = resultSet.getMetaData();
            int columns = resultSetMetaData.getColumnCount();
            String nameOne = resultSetMetaData.getColumnName(1);
            String typeOne = resultSetMetaData.getColumnTypeName(1);
            String labelOne = resultSetMetaData.getColumnLabel(1);
            System.out.println(" Column count : " + columns);
            System.out.println(" Column 1 name : " + nameOne);
            System.out.println(" Column 1 type : " + typeOne);
            System.out.println(" Column 1 label name : " + labelOne);
  
            System.out.println();
  
        } catch (ClassNotFoundException classNotFound) {
            System.err.println("Cannot find database driver ");
            classNotFound.printStackTrace();
        } catch (SQLException sqlException) {
            System.err.println("Error in connection.ecting to database "
                    + sqlException);
            sqlException.printStackTrace();
        } catch (Exception exception) {
            System.err.println("General Error");
            exception.printStackTrace();
        } finally {
            try {
                if (resultSet != null) {
                    resultSet.close();
                }
  
                if (statement != null) {
                    statement.close();
                }
  
                if (connection != null) {
                    connection.close();
                }
            } catch (SQLException sqlException) {
                System.err.println("Error in connection.ecting to database "
                        + sqlException);
                sqlException.printStackTrace();
            } catch (Exception exception) {
                System.err.println("General Error");
                exception.printStackTrace();
            }
        }
  
    }
  
    /**
     *  The main program for the JDBCSelectWhereExample class
     *
     *@param  args  The command line arguments
     *
     *@since
     *
     */
    public static void main(String[] args) {
  
        JDBCSelectEmployees employees = new JDBCSelectEmployees();
  
        employees.runSample();
  
    }
  
}
