package java112.project4;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.annotation.*;

@WebServlet(
    name = "lab44",
    urlPatterns = { "/lab44" }
)
/**
 * Project4SessionLab 
 * @author Brian Manning
 */
public class Project4SessionLab extends HttpServlet {
    /**
     * Constructor for Project4SessionLab
     */
    public Project4SessionLab() {

    }
    /**
     * Instantiates the HttpRequestData bean and assigns http request values to it.
     * Adds the bean to the request and forwards it to requestData.jsp for display.
     *@param  request                   the HttpServletRequest object
     *@param  response                   the HttpServletResponse object
     *@exception  ServletException  if there is a Servlet failure
     *@exception  IOException       if there is an IO failure
     */
    public void doGet(HttpServletRequest request, HttpServletResponse response)
                throws ServletException, IOException {
        HttpSession session = request.getSession();
        Integer sessionCounter = (Integer) session.getAttribute("project4SessionCounter");
        
        if (sessionCounter == null) {
            sessionCounter = new Integer(1);
            session.setAttribute("project4SessionCounter", sessionCounter);
        } else {
            sessionCounter++;
            session.setAttribute("project4SessionCounter", sessionCounter);
        }

        String url = "/project4Session.jsp";
        RequestDispatcher  dispatcher =
                getServletContext().getRequestDispatcher(url);
        dispatcher.forward(request, response);
    }

}
